Skip to main content
POST
Create a product

Path Parameters

consumer_id
string<uuid>
required

Body

application/json
name
string
required

Name

unit_price
number | null

Unit price

tax_id
string | null

Technical id of the tax in Chift

code
string | null

Reference/code

unit
string | null

Unit of measure matching target software name

category
string | null

Category matching target software name

currency
string | null

Currency matching target software name

description
string | null

Description

cost
number | null
default:0

Cost of the product

Response

Successful Response

id
string
required

Technical id in Chift

source_ref
Ref · object
required

Technical id in the target software

name
string
required

Name

unit_price
number | null

Unit price

tax_id
string | null

Technical id of the tax in Chift

code
string | null

Reference/code

unit
string | null

Unit of measure matching target software name

category
string | null

Category matching target software name

currency
string | null

Currency matching target software name

description
string | null

Description

cost
number | null
default:0

Cost of the product

available_quantity
number | null
default:0

Available quanity of the product in stock. Will only be used for products that have an inventory (services will always be 0)